SGML2TXT(1)

NOM
sgml2txt – Créer une sortie en texte pur à partir d’un fichier source SGML du DTD LinuxDoc

SYNOPSIS
sgml2txt [option_générique...] [--manpage] [--filter] [--blanks=n] fichier[.sgml]

DESCRIPTION
sgml2txt est une forme ancienne et obsolète de la commande de conversion de texte de LinuxDoc-Tools (son nom peut être trompeur car ce n’est nullement un outil pour n’importe quel DTD SGML ; il ne prend en charge que la DTD SGML LinuxDoc). Il est dorénavant recommandé de se tourner vers la nouvelle forme linuxdoc -B text. Cette commande convertit un fichier source SGML de DTD (Document Type Definition) LinuxDoc en ASCII, ISO-8859-1 ou EUC-JP. La sortie est produite dans fichier.txt, où fichier est le nom du fichier source SGML.

La paire attribut/valeur « output=txt » est définie pour exprimer des conditions.

OPTIONS
sgml2txt accepte toutes les options génériques décrites dans linuxdoc(1) et les options spécifiques suivantes :

--manpage, -m
    Produire un fichier groff source, adapté pour un formatage avec groff -man pour des pages de manuel (man).

--filter, -f
    Supprimer les retours arrière/superposition de la forme intermédiaire générée par groff(1).

--pass, -P
    L’argument de l’option pass est ajoutée aux options de ligne de commande fournies à groff(1).

--blanks=n, -b
    Définir le nombre limite de lignes blanches contigües pour la création du document final. La valeur par défaut est 3. Si 0 (zéro) est indiqué, le résultat peut comporter un nombre important de lignes blanches contigües.

fichier
    Fichier SGML source, soit fichier, soit fichier.sgml

FICHIERS
Plusieurs fichiers et exécutables dans /usr/share/linuxdoc-tools sont utilisés.

BOGUES
Aucun connu.

AUTEUR
Originellement écrit par Greg Hankins <greg.hankins@cc.gatech.edu>, à partir de scripts de Tom Gordon et Alexander Horz, et, plus tard, réécrit par Cees de Groot <cg@cdegroot.com> pour SGML-Tools (v1). Autrefois entretenu par Taketoshi Sano <sano@debian.org> pour Linuxdoc-Tools. Actuellement entretenu par Agustin Martin <agustin6martin AT gmail com>.

VOIR AUSSI
linuxdoc(1), sgml2html(1), sgml2info(1), sgml2latex(1), sgml2lyx(1), sgml2rtf(1), sgmlcheck(1).

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.